Addon works on FF 3.6.28 Rated 5 out of 5 stars

This great addon seamlessly works on FF 3.6.28, but FF despises him.